it-swarm.com.de

nach der Installation von primefaces all-themes fehlen auf dem artifactory-Server Gläser

Ich versuche, http://primefaces.org/themes zu folgen, damit es funktioniert.

Alle Community-Themen sind auch als "All-in-One" -Paket verfügbar. 

<dependency>  
  <groupId>org.primefaces.themes</groupId>  
  <artifactId>all-themes</artifactId>  
  <version>1.0.10</version>  
</dependency> 

Ich habe primefaces repository hinzugefügt und habe artifactory ausgeführt. Es sagt *.jar Artefakt fehlt.

Ich kann Verzeichnisse aller Themen auf dem lokalen Repository von Maven sehen. Es fehlen jedoch alle Jars und können sie auch nicht auf dem artifactory-Server finden.

16
hakkican

Sie müssen Repositorys hinzufügen:

<repositories>
    <repository>
        <id>prime-repo</id>
        <name>PrimeFaces Maven Repository</name>
        <url>http://repository.primefaces.org</url>
        <layout>default</layout>
    </repository>
</repositories>
64
milosz889

Das http://repository.primefaces.org leitet zu https://repository.primefaces.org um, das Serverzertifikat kann jedoch aufgrund des Standard-Truststores von Java nicht als vertrauenswürdig eingestuft werden.

Sie haben zwei Möglichkeiten:

  1. Fügen Sie das CA-Zertifikat "Let's Encrypt Authority X3" den/lib/sercurity/cacerts hinzu. (Das Standardkennwort lautet: changeit)
  2. Ignorieren Sie das Zertifikat von Maven: Wie kann ich Maven anweisen, SSL-Fehler zu ignorieren (und allen Zertifikaten vertrauen)?
6
Bukodi László

Versuchen:

<dependency>
    <groupId>org.primefaces.extensions</groupId>
    <artifactId>all-themes</artifactId>
    <version>1.0.8</version>
</dependency>

Ich habe es mit 1.0.10 probiert aber gescheitert, 1.0.8 ist ok!

1
SuperChia

Version 1.0.10 scheint momentan nicht verfügbar zu sein. Sie können diesem Link folgen, um die neueste Version anzuzeigen: http://search.maven.org/#search%7Cgav%7C1%7Cg%3A%22org.primefaces.extensions%22%20AND%20a%3A % 22Alle Themen% 22

Ich hatte das gleiche Problem. Ich habe das Problem behoben, indem ich meine Abhängigkeit in meiner pom.xml-Datei geändert habe:

  <dependency>  
    <groupId>org.primefaces.extensions</groupId>  
    <artifactId>all-themes</artifactId>   
    <version>1.0.8</version>  
</dependency>  

Da Version 1.0.8 die neueste Version ist, habe ich das bekommen, was ich brauchte. Der einzige Unterschied zwischen dem, was ich habe und dem, was Sie haben, ist die groupId. Nachdem Sie Ihre groupId geändert und ein Maven-Update durchgeführt haben, hat es gut funktioniert.

1
level2fast
1
myset

Ubuntu hat ein Problem mit Zertifikaten. Sie müssen Folgendes hinzufügen:

apt-get install ca-certificates-Java
apt-get install ca-certificates
0
Gasfiter